- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Utils::Io::Xml::Sax::StringCH Class Reference

`#include <StringCH.h>`

Inheritance diagram for Mers::Utils::Io::Xml::Sax::StringCH:

[legend]
Collaboration diagram for Mers::Utils::Io::Xml::Sax::StringCH:

[legend]
List of all members.

## Public Member Functions
| StringCH (XERCES_CPP_NAMESPACE::SAX2XMLReader *reader, ContentHandler *parent, ContentCallback< ::Mers::Utils::Lang::String * > *callback)
virtual void | characters (const XMLCh *const chars, const unsigned int length)
virtual void | endElement (const XMLCh *const uri, const XMLCh *const localname, const XMLCh *const qname)
## Protected Attributes
::Mers::Utils::Lang::String * | m_Value
ContentCallback< ::Mers::Utils::Lang::String * > * | m_Callback

## Detailed Description

This class can load String content.

Definition at line 30 of file StringCH.h.

## Constructor & Destructor Documentation

Mers::Utils::Io::Xml::Sax::StringCH::StringCH | ( | XERCES_CPP_NAMESPACE::SAX2XMLReader * | reader,
|  | ContentHandler * | parent,
|  | ContentCallback< ::Mers::Utils::Lang::String * > * | callback |
| ) |  |  |

Creates this object with a content handler and a double callback object.

Parameters:

  | reader | The reader that is reading the data. This is used to change the content handler on the fly.
  | model | The model to use for translation.
  | parent | The parent of this object.
  | callback | The object to send content back to.

## Member Function Documentation

void StringCH::characters | ( | const XMLCh *const | chars,
|  | const unsigned int | length |
| ) |  |  | `[virtual]`

Receive notification of character data.

The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

The application must not attempt to read from the array outside of the specified range.

Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

Parameters:

  | chars | The characters from the XML document.
  | length | The number of characters to read from the array.

Exceptions:

  | SAXException | Any SAX exception, possibly wrapping another exception.

See also:
  ignorableWhitespace

  Locator::Locator

Reimplemented from Mers::Utils::Io::Xml::Sax::ContentHandler.

Definition at line 36 of file StringCH.cpp.

References m_Value.

void StringCH::endElement | ( | const XMLCh *const | uri,
|  | const XMLCh *const | localname,
|  | const XMLCh *const | qname |
| ) |  |  | `[virtual]`

Receive notification of the end of an element.

The SAX parser will invoke this method at the end of every element in the XML document; there will be a corresponding startElement() event for every endElement() event (even when the element is empty).

Parameters:

  | uri | The URI of the asscioated namespace for this element
  | localname | The local part of the element name
  | qname | The QName of this element

Exceptions:

  | SAXException | Any SAX exception, possibly wrapping another exception.

Reimplemented from Mers::Utils::Io::Xml::Sax::ContentHandler.

Definition at line 52 of file StringCH.cpp.

References Mers::Utils::Io::Xml::Sax::ContentHandler::endElement(), Mers::Utils::Io::Xml::Sax::ContentCallback< Type >::handleContent(), m_Callback, and m_Value.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Io/Xml/Sax/StringCH.h
- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Io/Xml/Sax/StringCH.cpp